Package com.smartgwt.client.types

# Enum ShowMessageType

java.lang.Object
java.lang.Enum<ShowMessageType>
com.smartgwt.client.types.ShowMessageType

All Implemented Interfaces:
  `ValueEnum`, `Serializable`, `Comparable<ShowMessageType>`, `Constable`

public enum ShowMessageType extends Enum<ShowMessageType> implements ValueEnum
Type of message to display in `ShowMessageTask`. Controls the display of the icon.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ERROR`
  Error message
  `NORMAL`
  Normal message
  `WARNING`
  Warning message

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getValue()`
  `static ShowMessageType`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static ShowMessageType[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NORMAL

    public static final ShowMessageType NORMAL
    Normal message

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "normal".

  - ### WARNING

    public static final ShowMessageType WARNING
    Warning message

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "warning".

  - ### ERROR

    public static final ShowMessageType ERROR
    Error message

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "error".

- ## Method Details

  - ### values

    public static ShowMessageType[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static ShowMessageType valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public String getValue()
    Specified by:
      `getValue` in interface `ValueEnum`